package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.dto.LmsEquipScrapDTO;
import com.patzn.lims.equip.dto.LmsEquipScrapManageDTO;
import com.patzn.lims.equip.entity.LmsEquipScrapManage;
import com.patzn.lims.equip.vo.LmsEquipScrapManageVO;

import java.util.List;

/**
 * <p>
 * 仪器报废管理 服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-17
 */
public interface ILmsEquipScrapManageService extends IBaseService<LmsEquipScrapManage> {

    Page<LmsEquipScrapManageVO> pageVO(Page<LmsEquipScrapManageVO> page, LmsEquipScrapManageDTO lmsEquipScrapManageDTO);

    List<LmsEquipScrapManage> list(LmsEquipScrapManage lmsEquipScrapManage);

    LmsEquipScrapManageVO getVOById(Long id);

    boolean edit(LmsEquipScrapManage lmsEquipScrapManage);

    boolean batchImplementation(LmsEquipScrapDTO lmsEquipScrapDTO);
}
